import json
import logging.config
import os


def setup_logging():
    """
    set up logging using the configured filename

    if LOGGING_CONFIG is defined in the environment, use this for
    the filename, otherwise use logging_default_config.json
    """
    default_filename = os.path.join(
        os.path.dirname(__file__),
        'logging_default_config.json')
    filename = os.getenv('LOGGING_CONFIG', default_filename)
    with open(filename) as f:
        logging.config.dictConfig(json.loads(f.read()))
